org.apache.solr.client.solrj.impl

## Class SolrHttpClientContextBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientContextBuilder

    public class SolrHttpClientContextBuilder
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SolrHttpClientContextBuilder.AuthSchemeRegistryProvider`
`static class` `SolrHttpClientContextBuilder.CookieSpecRegistryProvider`
`static class` `SolrHttpClientContextBuilder.CredentialsProviderProvider`

### Constructor Summary

Constructors
Constructor and Description
`SolrHttpClientContextBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SolrHttpClientContextBuilder` `create()`
`org.apache.http.client.protocol.HttpClientContext` `createContext(Object userToken)`
`SolrHttpClientContextBuilder.AuthSchemeRegistryProvider` `getAuthSchemeRegistryProvider()`
`SolrHttpClientContextBuilder.CookieSpecRegistryProvider` `getCookieSpecRegistryProvider()`
`SolrHttpClientContextBuilder.CredentialsProviderProvider` `getCredentialsProviderProvider()`
`SolrHttpClientContextBuilder` `setAuthSchemeRegistryProvider(SolrHttpClientContextBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)`
`SolrHttpClientContextBuilder` `setCookieSpecRegistryProvider(SolrHttpClientContextBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)`
`SolrHttpClientContextBuilder` `setDefaultCredentialsProvider(SolrHttpClientContextBuilder.CredentialsProviderProvider credentialsProviderProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrHttpClientContextBuilder

    public SolrHttpClientContextBuilder()

### Method Detail

#### create

    public static SolrHttpClientContextBuilder create()

#### setCookieSpecRegistryProvider

    public final SolrHttpClientContextBuilder setCookieSpecRegistryProvider(SolrHttpClientContextBuilder.CookieSpecRegistryProvider cookieSpecRegistryProvider)

#### setDefaultCredentialsProvider

    public final SolrHttpClientContextBuilder setDefaultCredentialsProvider(SolrHttpClientContextBuilder.CredentialsProviderProvider credentialsProviderProvider)

#### setAuthSchemeRegistryProvider

    public final SolrHttpClientContextBuilder setAuthSchemeRegistryProvider(SolrHttpClientContextBuilder.AuthSchemeRegistryProvider authSchemeRegistryProvider)

#### getAuthSchemeRegistryProvider

    public SolrHttpClientContextBuilder.AuthSchemeRegistryProvider getAuthSchemeRegistryProvider()

#### getCookieSpecRegistryProvider

    public SolrHttpClientContextBuilder.CookieSpecRegistryProvider getCookieSpecRegistryProvider()

#### getCredentialsProviderProvider

    public SolrHttpClientContextBuilder.CredentialsProviderProvider getCredentialsProviderProvider()

#### createContext

    public org.apache.http.client.protocol.HttpClientContext createContext(Object userToken)